# SourcePath: libcurl/20210331dev
Summary: Client-side URL utility
Name: sony-target-dev-libcurl
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-libcurl
Version: 7.76.0
Release: 14010001
Source: curl-%{version}.tar.bz2
Source1: ca-bundle.crt
# LOT scripts
Source10: sony-libcurl-libopt-build-libcurl
Patch1: libcurl-7.76.0-test1086.patch
Patch2: libcurl-7.76.0-getaddrinfo-async.patch
Url: http://curl.haxx.se/
License: MIT
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
Buildroot: %{_tmppath}/%{name}-root
%define targetroot %{sony_target_dir}
Prefix: %{sony_target_dir}
BuildRequires: %{sony_tool_triplet}-%{sony_target_dialect}-dev-zlib

%description
libcurl is a library implementing the client-side URL transfers.
This package includes the shared library.

%package -n %{pkgname}
Summary: CURL library - runtime
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
libcurl is a library implementing the client-side URL transfers.
This package includes the shared library.

%prep
%setup -n curl-%{version} -q
%patch1 -p1
%patch2 -p1
cp %{SOURCE1} lib

%build
%sony_target_dev_setup
%demangle_XXX_config
%sony_target_dev_configure \
	--enable-ipv6 \
	--with-random \
	--with-librtmp \
	--disable-alt-svc \
	--with-ca-bundle=%{sony_target_dev_local_dir}/share/curl/curl-ca-bundle.crt
make CFLAGS="-g -O2 -DHAVE_GETADDRINFO -ffunction-sections"

%install
rm -rf %{buildroot}
%sony_target_dev_setup
%sony_target_dev_makeinstall

mkdir -p  %{buildroot}%{sony_target_dir}%{sony_target_dev_local_dir}/share/curl

install -m 644 ../lib/ca-bundle.crt %{buildroot}%{sony_target_dir}%{sony_target_dev_local_dir}/share/curl/curl-ca-bundle.crt

rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_man_dir}/
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/

# Begin for LOT
mkdir -p %{buildroot}%{sony_target_dir}/lib
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}/optinfo/libcurl

# Set Library Optimizer variables
%define _optdir %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}/optinfo
%define _rootlibdir %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}

# Install Library Optimizer information (libcurl)
install -m 755 %{SOURCE10} %{_optdir}/libcurl/build
install -m 755 lib/vauth/.libs/*.o %{_optdir}/libcurl/
install -m 755 lib/vtls/.libs/*.o %{_optdir}/libcurl/
install -m 644 lib/.libs/*.o %{_optdir}/libcurl/

(cd %{_optdir}/libcurl; umask 022; %{sony_cross_bin_dir}/%{sony_tool_triplet}-%{sony_target_dialect}-libindex %{_rootlibdir}/libcurl.so -o *.o > index)
(umask 022; echo "/usr/lib/libcurl.so.4" > %{_optdir}/libcurl/path)

%demangle_libtool

# 6.x
for b in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}`; do
    case $b in
        *-config)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_bin_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/$b \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_bin_dir}
          ;;
    esac
done

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}`; do
    case $l in
        *.a|pkgconfig)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          ;;
    esac
done

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}`; do
    if [ "$l" != "pkgconfig" -a "$l" != "optinfo" ]; then
        ln -s ../..%{sony_target_devtool_lib_dir}/$l \
            %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l
    fi
done

%clean
rm -rf ${RPM_BUILD_ROOT}


%files -n %{pkgname}
%defattr(-,root,root)
%{sony_target_dir}%{sony_target_dev_bin_dir}/curl
%{sony_target_dir}%{sony_target_dev_include_dir}/curl/*.h
%{sony_target_dir}%{sony_target_dev_lib_dir}/libcurl.so*
%{sony_target_dir}%{sony_target_dev_lib_dir}/libcurl.la
%{sony_target_dir}%{sony_target_dev_lib_dir}/libcurl.a
%{sony_target_dir}%{sony_target_dev_local_dir}/share/curl/curl-ca-bundle.crt

# for LOT
%{sony_target_dir}%{sony_target_devtool_lib_dir}/optinfo/*

%{sony_target_dir}%{sony_target_devtool_lib_dir}/libcurl.a
%{sony_target_dir}%{sony_target_devtool_bin_dir}/curl-config
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/libcurl.pc

%changelog
* Wed Mar 31 2021 Sony Corporation
- Version up to 7.76.0

* Mon Feb 15 2021 Sony Corporation
- Version up to 7.74.0

* Tue Jan 19 2021 Sony Corporation
- Build libcurl with "--with-librtmp"

* Tue Dec 10 2019 Sony Corporation
- Version updated 7.54.0 --> 7.67.0

* Mon Dec 25 2018 Sony Corporation
- Initial build for CE-Linux-14.1.0.x.

* Fri Nov 10 2017 Sony Corporation
- Added Lot supported libraries dir

* Wed May 17 2017 Sony Corporation
- Initial build.
